Saltar al contenido principal
PUT
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
/
{functionId}
Actualizar una función de una definición
curl --request PUT \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType}/{functionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: text/plain' \
  --data '<string>'
{
  "id": "<string>"
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido

El ID de la aplicación asociada a la acción de workflow personalizada.

definitionId
string
requerido

El ID de la definición de la acción de workflow personalizada.

functionId
string
requerido

El ID de la función específica dentro de la definición de la acción del workflow.

functionType
enum<string>
requerido

El tipo de función, con lo siguientes valores aceptados: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Opciones disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Cuerpo

text/plain

The body is of type string.

Respuesta

successful operation

functionType
enum<string>
requerido

El tipo de función, con lo siguientes valores aceptados: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Opciones disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

El identificador único de la función.

Última modificación el 13 de abril de 2026